# Crow: crow::Server< Handler, Adaptor, Middlewares > Class Template Reference

Loading...
Searching...
No Matches
crow::Server< Handler, Adaptor, Middlewares > Class Template Reference

## Public Member Functions

| Server (Handler *handler, std::string bindaddr, uint16_t port, std::string server_name=std::string("Crow/")+VERSION, std::tuple< Middlewares... > *middlewares=nullptr, uint16_t concurrency=1, uint8_t timeout=5, typename Adaptor::context *adaptor_ctx=nullptr)
void | set_tick_function (std::chrono::milliseconds d, std::function< void()> f)
void | on_tick ()
void | run ()
void | stop ()
void | wait_for_start ()
| Wait until the server has properly started.
void | signal_clear ()
void | signal_add (int signal_number)

The documentation for this class was generated from the following file:

- include/crow/http_server.h